Bug 1442085 - transmission-daemon gets killed by systemd unless Type=simple given
Summary: transmission-daemon gets killed by systemd unless Type=simple given
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1442677 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-13 13:27 UTC by Vadim Raskhozhev
Modified: 2018-05-29 12:05 UTC (History)
9 users (show)

Fixed In Version: transmission-2.92-5.fc26 transmission-2.92-6.fc25 transmission-2.92-6.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:05:52 UTC
Type: Bug


Attachments (Terms of Use)
Make configure look for libsystemd (2.42 KB, patch)
2017-04-13 21:05 UTC, Vadim Raskhozhev
no flags Details | Diff
Make configure look for libsystemd (792 bytes, patch)
2017-04-27 01:02 UTC, Vadim Raskhozhev
no flags Details | Diff
Make configure look for libsystemd (3.57 KB, patch)
2017-04-27 01:03 UTC, Vadim Raskhozhev
no flags Details | Diff

Description Vadim Raskhozhev 2017-04-13 13:27:04 UTC
Description of problem: transmission-daemon gets killed by systemd shortly after start.


Version-Release number of selected component (if applicable):
transmission-daemon-2.92-4.fc26.x86_64
systemd-233-3.fc26.x86_64

How reproducible: always

Steps to Reproduce:
1. dnf --enablerepo='*testing' distro-sync transmission-daemon
2. systemctl start transmission-daemon.service
3. systemctl status transmission-daemon.service

Actual results: transmission-daemon.service: Failed with result 'timeout'.

Expected results: Active: active (running)

Additional info: transmission-daemon works perfectly after doing `systemctl edit transmission-daemon` and writing

[Service]
Type=simple

into override.conf. Further investigation shows that transmission-daemon is linked without /lib64/libsystemd.so.0: on F25 `ldd transmission-daemon | grep systemd` gives
libsystemd.so.0 => /lib64/libsystemd.so.0 (0x00007f675e1c5000), on F26 it gives nothing. This explains why transmission-daemon does not issue sd_notify() and gets killed.

Comment 1 Gwyn Ciesla 2017-04-13 13:54:14 UTC
This due to dropping the the libsystemd config flag to fix a build issue.  I'll push an update with a corrected unit file.

Comment 2 Fedora Update System 2017-04-13 14:25:29 UTC
transmission-2.92-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5f3b7247cf

Comment 3 Vadim Raskhozhev 2017-04-13 21:05:54 UTC
Created attachment 1271550 [details]
Make configure look for libsystemd

I've made some further work over this issue and managed to link the daemon against libsystemd. To be honest, the patch attached is a lame; there must be the way to achieve the same without patching the configure script but all my attempts to patch the configure.ac resulted in errors about m4/glib-gettext.m4. However, one way or another it's possible to make it work with Type=notify.

Comment 4 Fedora Update System 2017-04-15 01:49:47 UTC
transmission-2.92-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5f3b7247cf

Comment 5 Fedora Update System 2017-04-16 14:39:00 UTC
transmission-2.92-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Tomasz Torcz 2017-04-16 18:55:38 UTC
Actually, changing the type to simple introduces a regression – readiness notification is impaired and extended status in “systemctl status” is missing.
The real problem is figuring out why libsystemd is not detected on F26. This bug should be reopened.

Comment 7 Gwyn Ciesla 2017-04-17 16:13:33 UTC
*** Bug 1442677 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2017-04-17 17:00:48 UTC
transmission-2.92-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-af75e6b707

Comment 9 Fedora Update System 2017-04-17 17:01:00 UTC
transmission-2.92-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e171165337

Comment 10 Fedora Update System 2017-04-18 13:22:32 UTC
transmission-2.92-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e171165337

Comment 11 Fedora Update System 2017-04-18 19:53:19 UTC
transmission-2.92-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-af75e6b707

Comment 12 Fedora Update System 2017-04-19 09:26:27 UTC
transmission-2.92-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-04-19 17:00:55 UTC
transmission-2.92-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Vadim Raskhozhev 2017-04-27 01:02:38 UTC
Created attachment 1274489 [details]
Make configure look for libsystemd

Comment 15 Vadim Raskhozhev 2017-04-27 01:03:50 UTC
Created attachment 1274490 [details]
Make configure look for libsystemd

Comment 16 Vadim Raskhozhev 2017-04-27 01:04:37 UTC
I finally fixed this the rigth way. Patch es attached are for both configure.ac and transmission.spec. Also I've created a copr repo to show what's been done: https://copr.fedorainfracloud.org/coprs/dexpl/transmission/

Comment 17 Fedora End Of Life 2018-05-03 08:24:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2018-05-29 12:05:52 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.